Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class DelegatingFacesContext

    java.lang.Object
      javax.faces.context.FacesContext
          org.jboss.seam.jsf.DelegatingFacesContext

    public class DelegatingFacesContext

extends javax.faces.context.FacesContext

Implementation of FacesContext that delegates all calls. Further, it exposes `setCurrentInstance(FacesContext)` as a public method

Author:
  Pete Muir

Constructor Summary
`DelegatingFacesContext(javax.faces.context.FacesContext delegate)`

Method Summary
`void` | `addMessage(String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`Map<Object,Object>` | `getAttributes()`
`Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.FacesContext` | `getDelegate()`
`javax.el.ELContext` | `getELContext()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`Iterator` | `getMessages()`
`Iterator` | `getMessages(String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`static void` | `setCurrentInstance(javax.faces.context.FacesContext context)`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot root)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, getCurrentPhaseId, getExceptionHandler, getMessageList, getMessageList, getPartialViewContext, isPostback, isProcessingEvents, isProjectStage, isReleased, isValidationFailed, setCurrentPhaseId, setExceptionHandler, setProcessingEvents, validationFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingFacesContext

    public DelegatingFacesContext(javax.faces.context.FacesContext delegate)

Method Detail

### addMessage

    public void addMessage(String clientId,
                           javax.faces.application.FacesMessage message)

  Specified by:
    `addMessage` in class `javax.faces.context.FacesContext`

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.context.FacesContext`

### getAttributes

    public Map<Object,Object> getAttributes()

  Overrides:
    `getAttributes` in class `javax.faces.context.FacesContext`

### getClientIdsWithMessages

    public Iterator getClientIdsWithMessages()

  Specified by:
    `getClientIdsWithMessages` in class `javax.faces.context.FacesContext`

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  Specified by:
    `getExternalContext` in class `javax.faces.context.FacesContext`

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

  Specified by:
    `getMaximumSeverity` in class `javax.faces.context.FacesContext`

### getMessages

    public Iterator getMessages()

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getMessages

    public Iterator getMessages(String clientId)

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

  Specified by:
    `getRenderKit` in class `javax.faces.context.FacesContext`

### getRenderResponse

    public boolean getRenderResponse()

  Specified by:
    `getRenderResponse` in class `javax.faces.context.FacesContext`

### getResponseComplete

    public boolean getResponseComplete()

  Specified by:
    `getResponseComplete` in class `javax.faces.context.FacesContext`

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

  Specified by:
    `getResponseStream` in class `javax.faces.context.FacesContext`

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

  Specified by:
    `getResponseWriter` in class `javax.faces.context.FacesContext`

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

  Specified by:
    `getViewRoot` in class `javax.faces.context.FacesContext`

### release

    public void release()

  Specified by:
    `release` in class `javax.faces.context.FacesContext`

### renderResponse

    public void renderResponse()

  Specified by:
    `renderResponse` in class `javax.faces.context.FacesContext`

### responseComplete

    public void responseComplete()

  Specified by:
    `responseComplete` in class `javax.faces.context.FacesContext`

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

  Specified by:
    `setResponseStream` in class `javax.faces.context.FacesContext`

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

  Specified by:
    `setResponseWriter` in class `javax.faces.context.FacesContext`

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot root)

  Specified by:
    `setViewRoot` in class `javax.faces.context.FacesContext`

### getDelegate

    public javax.faces.context.FacesContext getDelegate()

### getELContext

    public javax.el.ELContext getELContext()

  Overrides:
    `getELContext` in class `javax.faces.context.FacesContext`

### setCurrentInstance

    public static void setCurrentInstance(javax.faces.context.FacesContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.